% This script submits a function that contains parfor
sched = findResource();
job4 = createMatlabPoolJob(sched,'FileDependencies',...
    {'testParforJob.m'});  
createTask(job4, @testParforJob, 1, {});
set(job4, 'MaximumNumberOfWorkers', 3);
set(job4, 'MinimumNumberOfWorkers', 3);
submit(job4)
waitForState(job4, 'finished') % optional
sprintf('Finished Running Job') 
results = getAllOutputArguments(job4);
sprintf('Got Output Arguments')
destroy(job4) % permanently removes job data
sprintf('Test Completed')