%% This script submits a job with 3 tasks
sched = findResource();
job3a = createJob(sched);
createTask(job3a, @sum, 1, {[1 1]}); 
createTask(job3a, @sum, 1, {[2 2]});
createTask(job3a, @sum, 1, {[3 3]});
submit(job3a)
waitForState(job3a, 'finished') %optional 
sprintf('Finished Running Job') 
results = getAllOutputArguments(job3a);
sprintf('Got Output Arguments')
destroy(job3a) % permanently removes job data
sprintf('Test Completed')


