%% Script submits a data parallel job, with one task
sched = findResource();
job5 = createParallelJob(sched);
createTask(job5, @labindex, 1, {});
set(job5, 'MaximumNumberOfWorkers', 3);
set(job5, 'MinimumNumberOfWorkers', 3);
submit(job5)
waitForState(job5, 'finished') % optional 
sprintf('Finished Running Job') 
results = getAllOutputArguments(job5);
sprintf('Got Output Arguments')
destroy(job5); % permanently removes job data
sprintf('Test Completed')
